Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035698
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementmajoralways2017-03-06 11:312017-05-17 22:07
ReportervmromanosView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionc87853b86121
ProjectionnoneETAnoneTarget Version3.0PR17Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2017-02-23
Regression introduced in releasemain
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/251ea8a24d39 [^]
Triggers an Emergency PackNo
Summary

0035698: Payables and Receivable Aging Balance Organization and General Ledger fields

DescriptionSeveral problems in Organization and General Ledger Filters in both Payables and Receivables Aging Schedule Reports.

Organization:
1. Validation similar to "AD_Org is transactions allowed" should be added

General Ledger:
1. Add validation to show only general ledgers available for the selected organization. The values should be updated each time the organization is changed.
Steps To ReproduceAs Openbravo Admin

Go to Payables Aging Schedule report (or Receivables Aging Schedule)
Verify * organization can be selected. This is wrong as this organization can't have transactions
Change org to F&B US.
Verify General Ledger "F&B EspaƱa" is shown in selector. This is wrong as this general ledger is not available for F&B US
Proposed SolutionReview original code in legacy Aging Balance module and transplant it to the version in core for both reports.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00354333.0PR17Q3 closednonofrancisco Payables and Receivable Aging Balance Organization and General Ledger fields 

-  Notes
(0096651)
hgbot (developer)
2017-05-17 22:06

Repository: erp/backports/3.0PR17Q2
Changeset: c87853b86121633e2fb25506bb8fb01b708b0927
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Tue May 09 13:28:14 2017 -0400
URL: http://code.openbravo.com/erp/backports/3.0PR17Q2/rev/c87853b86121633e2fb25506bb8fb01b708b0927 [^]

Fixes issue 35698: Aging Balance Organization and GL fields

* The default value of parameter Organization is the one selected when login,
if is transaction allowed, otherwise, the first one in the list of Organizations
with transaction allowed.

* When parameter Organization changes, the selected value of General Ledger
selector is set accordingly.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-onchange-functions.js
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
A src/org/openbravo/common/actionhandler/AgingGeneralLedgerByOrganizationActionHandler.java
A src/org/openbravo/common/filterexpression/AgingGeneralLedgerFilterExpression.java
A src/org/openbravo/common/filterexpression/AgingOrganizationFilterExpression.java
---
(0096652)
hgbot (developer)
2017-05-17 22:07

Repository: erp/backports/3.0PR17Q2
Changeset: 93c55a945cca38e2e4fada8a672ae2271c08d7ae
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed May 17 21:46:10 2017 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR17Q2/rev/93c55a945cca38e2e4fada8a672ae2271c08d7ae [^]

Related to issue 35698: Code review improvements

- Fix copyrights.
- Improve Account Schema Selector filter expression.
- Improve AgingOrganizationFilterExpression class.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-onchange-functions.js
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src/org/openbravo/common/actionhandler/AgingGeneralLedgerByOrganizationActionHandler.java
M src/org/openbravo/common/filterexpression/AgingGeneralLedgerFilterExpression.java
M src/org/openbravo/common/filterexpression/AgingOrganizationFilterExpression.java
---
(0096653)
aferraz (developer)
2017-05-17 22:07

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2017-04-05 09:15 vmromanos Type defect => backport
2017-04-05 09:15 vmromanos Target Version 3.0PR17Q3 => 3.0PR17Q2.1
2017-05-17 21:49 aferraz Target Version 3.0PR17Q2.1 => 3.0PR17Q2
2017-05-17 21:53 aferraz Regression level => Packaging and release
2017-05-17 21:53 aferraz Regression date => 2017-02-23
2017-05-17 21:53 aferraz Regression introduced in release => main
2017-05-17 21:53 aferraz Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/251ea8a24d39 [^]
2017-05-17 22:06 hgbot Checkin
2017-05-17 22:06 hgbot Note Added: 0096651
2017-05-17 22:06 hgbot Status scheduled => resolved
2017-05-17 22:06 hgbot Resolution open => fixed
2017-05-17 22:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR17Q2/rev/c87853b86121633e2fb25506bb8fb01b708b0927 [^]
2017-05-17 22:07 hgbot Checkin
2017-05-17 22:07 hgbot Note Added: 0096652
2017-05-17 22:07 aferraz Review Assigned To => aferraz
2017-05-17 22:07 aferraz Note Added: 0096653
2017-05-17 22:07 aferraz Status resolved => closed
2017-05-17 22:07 aferraz Fixed in Version => 3.0PR17Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker